Get Item Reviews
curl --request GET \
--url https://scrapebadger.com/v1/ebay/items/{item_id}/reviews \
--header 'x-api-key: <api-key>'import requests
url = "https://scrapebadger.com/v1/ebay/items/{item_id}/reviews"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://scrapebadger.com/v1/ebay/items/{item_id}/reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://scrapebadger.com/v1/ebay/items/{item_id}/reviews",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://scrapebadger.com/v1/ebay/items/{item_id}/reviews"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://scrapebadger.com/v1/ebay/items/{item_id}/reviews")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://scrapebadger.com/v1/ebay/items/{item_id}/reviews")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"domain": "<string>",
"item_id": "<string>",
"product_id": "<string>",
"rating": 123,
"ratings_total": 123,
"histogram": {
"five_star": 123,
"four_star": 123,
"three_star": 123,
"two_star": 123,
"one_star": 123
},
"reviews": [
{
"title": "<string>",
"body": "<string>",
"rating": 123,
"author": "<string>",
"date_raw": "<string>",
"date_utc": 123,
"date_at": "<string>",
"helpful_votes": 123,
"verified_purchase": true
}
],
"pagination": {
"current_page": 123,
"per_page": 123,
"total_pages": 123,
"total_results": 123,
"has_more": true
},
"scraped_utc": 123,
"scraped_at": "<string>"
}Items
Get Item Reviews
Catalog product reviews shown on an eBay listing, with rating summary and histogram.
GET
/
v1
/
ebay
/
items
/
{item_id}
/
reviews
Get Item Reviews
curl --request GET \
--url https://scrapebadger.com/v1/ebay/items/{item_id}/reviews \
--header 'x-api-key: <api-key>'import requests
url = "https://scrapebadger.com/v1/ebay/items/{item_id}/reviews"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://scrapebadger.com/v1/ebay/items/{item_id}/reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://scrapebadger.com/v1/ebay/items/{item_id}/reviews",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://scrapebadger.com/v1/ebay/items/{item_id}/reviews"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://scrapebadger.com/v1/ebay/items/{item_id}/reviews")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://scrapebadger.com/v1/ebay/items/{item_id}/reviews")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"domain": "<string>",
"item_id": "<string>",
"product_id": "<string>",
"rating": 123,
"ratings_total": 123,
"histogram": {
"five_star": 123,
"four_star": 123,
"three_star": 123,
"two_star": 123,
"one_star": 123
},
"reviews": [
{
"title": "<string>",
"body": "<string>",
"rating": 123,
"author": "<string>",
"date_raw": "<string>",
"date_utc": 123,
"date_at": "<string>",
"helpful_votes": 123,
"verified_purchase": true
}
],
"pagination": {
"current_page": 123,
"per_page": 123,
"total_pages": 123,
"total_results": 123,
"has_more": true
},
"scraped_utc": 123,
"scraped_at": "<string>"
}Path Parameters
Query Parameters
Response
Array of reviews.
Show Review object
Show Review object
Example Response
{
"domain": "com",
"item_id": "256123456789",
"product_id": "20057872541",
"rating": 4.8,
"ratings_total": 1245,
"histogram": { "five_star": 1050, "four_star": 120, "three_star": 40, "two_star": 20, "one_star": 15 },
"reviews": [
{
"title": "Excellent console",
"body": "Screen is gorgeous and the build quality is great.",
"rating": 5.0,
"author": "gamer_dad",
"date_raw": "May 12, 2026",
"date_at": "2026-05-12T00:00:00Z",
"helpful_votes": 23,
"verified_purchase": true
}
],
"pagination": { "current_page": 1, "per_page": 20, "total_pages": 50, "total_results": 1245 },
"scraped_at": "2026-06-21T12:00:00Z"
}
Each item-reviews request costs 16 credits. Failed requests are not charged.

